Package org.lwjgl.opengles

# Class GLES20

java.lang.Object
org.lwjgl.opengles.GLES20

public final class GLES20 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_ATTRIBUTE_MAX_LENGTH`
Shaders
`static final int`
`GL_ACTIVE_ATTRIBUTES`
Shaders
`static final int`
`GL_ACTIVE_TEXTURE`
TextureUnit
`static final int`
`GL_ACTIVE_UNIFORM_MAX_LENGTH`
Shaders
`static final int`
`GL_ACTIVE_UNIFORMS`
Shaders
`static final int`
`GL_ALIASED_LINE_WIDTH_RANGE`
GetPName
`static final int`
`GL_ALIASED_POINT_SIZE_RANGE`
GetPName
`static final int`
`GL_ALPHA`
PixelFormat
`static final int`
`GL_ALPHA_BITS`
GetPName
`static final int`
`GL_ALWAYS`
StencilFunction
`static final int`
`GL_ARRAY_BUFFER`
Buffer Objects
`static final int`
`GL_ARRAY_BUFFER_BINDING`
Buffer Objects
`static final int`
`GL_ATTACHED_SHADERS`
Shaders
`static final int`
`GL_BACK`
CullFaceMode
`static final int`
`GL_BLEND`
EnableCap
`static final int`
`GL_BLEND_COLOR`
Separate Blend Functions
`static final int`
`GL_BLEND_DST_ALPHA`
Separate Blend Functions
`static final int`
`GL_BLEND_DST_RGB`
Separate Blend Functions
`static final int`
`GL_BLEND_EQUATION`
BlendEquationSeparate
`static final int`
`GL_BLEND_EQUATION_ALPHA`
BlendEquationSeparate
`static final int`
`GL_BLEND_EQUATION_RGB`
BlendEquationSeparate
`static final int`
`GL_BLEND_SRC_ALPHA`
Separate Blend Functions
`static final int`
`GL_BLEND_SRC_RGB`
Separate Blend Functions
`static final int`
`GL_BLUE_BITS`
GetPName
`static final int`
`GL_BOOL`
Uniform Types
`static final int`
`GL_BOOL_VEC2`
Uniform Types
`static final int`
`GL_BOOL_VEC3`
Uniform Types
`static final int`
`GL_BOOL_VEC4`
Uniform Types
`static final int`
`GL_BUFFER_SIZE`
Buffer Objects
`static final int`
`GL_BUFFER_USAGE`
Buffer Objects
`static final int`
`GL_BYTE`
DataType
`static final int`
`GL_CCW`
FrontFaceDirection
`static final int`
`GL_CLAMP_TO_EDGE`
TextureWrapMode
`static final int`
`GL_COLOR_ATTACHMENT0`
Framebuffer Object.
`static final int`
`GL_COLOR_BUFFER_BIT`
ClearBufferMask
`static final int`
`GL_COLOR_CLEAR_VALUE`
GetPName
`static final int`
`GL_COLOR_WRITEMASK`
GetPName
`static final int`
`GL_COMPILE_STATUS`
Shader Source
`static final int`
`GL_COMPRESSED_TEXTURE_FORMATS`
GetTextureParameter
`static final int`
`GL_CONSTANT_ALPHA`
Separate Blend Functions
`static final int`
`GL_CONSTANT_COLOR`
Separate Blend Functions
`static final int`
`GL_CULL_FACE`
EnableCap
`static final int`
`GL_CULL_FACE_MODE`
GetPName
`static final int`
`GL_CURRENT_PROGRAM`
Shaders
`static final int`
`GL_CURRENT_VERTEX_ATTRIB`
Buffer Objects
`static final int`
`GL_CW`
FrontFaceDirection
`static final int`
`GL_DECR`
StencilOp
`static final int`
`GL_DECR_WRAP`
StencilOp
`static final int`
`GL_DELETE_STATUS`
Shaders
`static final int`
`GL_DEPTH_ATTACHMENT`
Framebuffer Object.
`static final int`
`GL_DEPTH_BITS`
GetPName
`static final int`
`GL_DEPTH_BUFFER_BIT`
ClearBufferMask
`static final int`
`GL_DEPTH_CLEAR_VALUE`
GetPName
`static final int`
`GL_DEPTH_COMPONENT`
PixelFormat
`static final int`
`GL_DEPTH_COMPONENT16`
Framebuffer Object.
`static final int`
`GL_DEPTH_FUNC`
GetPName
`static final int`
`GL_DEPTH_RANGE`
GetPName
`static final int`
`GL_DEPTH_TEST`
EnableCap
`static final int`
`GL_DEPTH_WRITEMASK`
GetPName
`static final int`
`GL_DITHER`
EnableCap
`static final int`
`GL_DONT_CARE`
HintMode
`static final int`
`GL_DST_ALPHA`
BlendingFactorDest
`static final int`
`GL_DST_COLOR`
BlendingFactorSrc
`static final int`
`GL_DYNAMIC_DRAW`
Buffer Objects
`static final int`
`GL_ELEMENT_ARRAY_BUFFER`
Buffer Objects
`static final int`
`GL_ELEMENT_ARRAY_BUFFER_BINDING`
Buffer Objects
`static final int`
`GL_EQUAL`
StencilFunction
`static final int`
`GL_EXTENSIONS`
StringName
`static final int`
`GL_FALSE`
Boolean
`static final int`
`GL_FASTEST`
HintMode
`static final int`
`GL_FIXED`
DataType
`static final int`
`GL_FLOAT`
DataType
`static final int`
`GL_FLOAT_MAT2`
Uniform Types
`static final int`
`GL_FLOAT_MAT3`
Uniform Types
`static final int`
`GL_FLOAT_MAT4`
Uniform Types
`static final int`
`GL_FLOAT_VEC2`
Uniform Types
`static final int`
`GL_FLOAT_VEC3`
Uniform Types
`static final int`
`GL_FLOAT_VEC4`
Uniform Types
`static final int`
`GL_FRAGMENT_SHADER`
Shaders
`static final int`
`GL_FRAMEBUFFER`
Framebuffer Object.
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME`
Framebuffer Object.
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE`
Framebuffer Object.
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE`
Framebuffer Object.
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL`
Framebuffer Object.
`static final int`
`GL_FRAMEBUFFER_BINDING`
Framebuffer Object.
`static final int`
`GL_FRAMEBUFFER_COMPLETE`
Framebuffer Object.
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT`
Framebuffer Object.
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS`
Framebuffer Object.
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT`
Framebuffer Object.
`static final int`
`GL_FRAMEBUFFER_UNSUPPORTED`
Framebuffer Object.
`static final int`
`GL_FRONT`
CullFaceMode
`static final int`
`GL_FRONT_AND_BACK`
CullFaceMode
`static final int`
`GL_FRONT_FACE`
GetPName
`static final int`
`GL_FUNC_ADD`
BlendEquationSeparate
`static final int`
`GL_FUNC_REVERSE_SUBTRACT`
BlendSubtract
`static final int`
`GL_FUNC_SUBTRACT`
BlendSubtract
`static final int`
`GL_GENERATE_MIPMAP_HINT`
HintTarget
`static final int`
`GL_GEQUAL`
StencilFunction
`static final int`
`GL_GREATER`
StencilFunction
`static final int`
`GL_GREEN_BITS`
GetPName
`static final int`
`GL_HIGH_FLOAT`
Shader Precision-Specified Types
`static final int`
`GL_HIGH_INT`
Shader Precision-Specified Types
`static final int`
`GL_IMPLEMENTATION_COLOR_READ_FORMAT`
Read Format
`static final int`
`GL_IMPLEMENTATION_COLOR_READ_TYPE`
Read Format
`static final int`
`GL_INCR`
StencilOp
`static final int`
`GL_INCR_WRAP`
StencilOp
`static final int`
`GL_INFO_LOG_LENGTH`
Shader Source
`static final int`
`GL_INT`
DataType
`static final int`
`GL_INT_VEC2`
Uniform Types
`static final int`
`GL_INT_VEC3`
Uniform Types
`static final int`
`GL_INT_VEC4`
Uniform Types
`static final int`
`GL_INVALID_ENUM`
ErrorCode
`static final int`
`GL_INVALID_FRAMEBUFFER_OPERATION`
Framebuffer Object.
`static final int`
`GL_INVALID_OPERATION`
ErrorCode
`static final int`
`GL_INVALID_VALUE`
ErrorCode
`static final int`
`GL_INVERT`
StencilOp
`static final int`
`GL_KEEP`
StencilOp
`static final int`
`GL_LEQUAL`
StencilFunction
`static final int`
`GL_LESS`
StencilFunction
`static final int`
`GL_LINE_LOOP`
BeginMode
`static final int`
`GL_LINE_STRIP`
BeginMode
`static final int`
`GL_LINE_WIDTH`
GetPName
`static final int`
`GL_LINEAR`
TextureMagFilter
`static final int`
`GL_LINEAR_MIPMAP_LINEAR`
TextureMinFilter
`static final int`
`GL_LINEAR_MIPMAP_NEAREST`
TextureMinFilter
`static final int`
`GL_LINES`
BeginMode
`static final int`
`GL_LINK_STATUS`
Shaders
`static final int`
`GL_LOW_FLOAT`
Shader Precision-Specified Types
`static final int`
`GL_LOW_INT`
Shader Precision-Specified Types
`static final int`
`GL_LUMINANCE`
PixelFormat
`static final int`
`GL_LUMINANCE_ALPHA`
PixelFormat
`static final int`
`GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS`
Shaders
`static final int`
`GL_MAX_CUBE_MAP_TEXTURE_SIZE`
TextureTarget
`static final int`
`GL_MAX_FRAGMENT_UNIFORM_VECTORS`
Shaders
`static final int`
`GL_MAX_RENDERBUFFER_SIZE`
Framebuffer Object.
`static final int`
`GL_MAX_TEXTURE_IMAGE_UNITS`
Shaders
`static final int`
`GL_MAX_TEXTURE_SIZE`
GetPName
`static final int`
`GL_MAX_VARYING_VECTORS`
Shaders
`static final int`
`GL_MAX_VERTEX_ATTRIBS`
Shaders
`static final int`
`GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS`
Shaders
`static final int`
`GL_MAX_VERTEX_UNIFORM_VECTORS`
Shaders
`static final int`
`GL_MAX_VIEWPORT_DIMS`
GetPName
`static final int`
`GL_MEDIUM_FLOAT`
Shader Precision-Specified Types
`static final int`
`GL_MEDIUM_INT`
Shader Precision-Specified Types
`static final int`
`GL_MIRRORED_REPEAT`
TextureWrapMode
`static final int`
`GL_NEAREST`
TextureMagFilter
`static final int`
`GL_NEAREST_MIPMAP_LINEAR`
TextureMinFilter
`static final int`
`GL_NEAREST_MIPMAP_NEAREST`
TextureMinFilter
`static final int`
`GL_NEVER`
StencilFunction
`static final int`
`GL_NICEST`
HintMode
`static final int`
`GL_NO_ERROR`
ErrorCode
`static final int`
`GL_NONE`
Framebuffer Object.
`static final int`
`GL_NOTEQUAL`
StencilFunction
`static final int`
`GL_NUM_COMPRESSED_TEXTURE_FORMATS`
GetTextureParameter
`static final int`
`GL_NUM_SHADER_BINARY_FORMATS`
Shader Binary
`static final int`
`GL_ONE`
BlendingFactorDest
`static final int`
`GL_ONE_MINUS_CONSTANT_ALPHA`
Separate Blend Functions
`static final int`
`GL_ONE_MINUS_CONSTANT_COLOR`
Separate Blend Functions
`static final int`
`GL_ONE_MINUS_DST_ALPHA`
BlendingFactorDest
`static final int`
`GL_ONE_MINUS_DST_COLOR`
BlendingFactorSrc
`static final int`
`GL_ONE_MINUS_SRC_ALPHA`
BlendingFactorDest
`static final int`
`GL_ONE_MINUS_SRC_COLOR`
BlendingFactorDest
`static final int`
`GL_OUT_OF_MEMORY`
ErrorCode
`static final int`
`GL_PACK_ALIGNMENT`
GetPName
`static final int`
`GL_POINTS`
BeginMode
`static final int`
`GL_POLYGON_OFFSET_FACTOR`
GetPName
`static final int`
`GL_POLYGON_OFFSET_FILL`
EnableCap
`static final int`
`GL_POLYGON_OFFSET_UNITS`
GetPName
`static final int`
`GL_RED_BITS`
GetPName
`static final int`
`GL_RENDERBUFFER`
Framebuffer Object.
`static final int`
`GL_RENDERBUFFER_ALPHA_SIZE`
Framebuffer Object.
`static final int`
`GL_RENDERBUFFER_BINDING`
Framebuffer Object.
`static final int`
`GL_RENDERBUFFER_BLUE_SIZE`
Framebuffer Object.
`static final int`
`GL_RENDERBUFFER_DEPTH_SIZE`
Framebuffer Object.
`static final int`
`GL_RENDERBUFFER_GREEN_SIZE`
Framebuffer Object.
`static final int`
`GL_RENDERBUFFER_HEIGHT`
Framebuffer Object.
`static final int`
`GL_RENDERBUFFER_INTERNAL_FORMAT`
Framebuffer Object.
`static final int`
`GL_RENDERBUFFER_RED_SIZE`
Framebuffer Object.
`static final int`
`GL_RENDERBUFFER_STENCIL_SIZE`
Framebuffer Object.
`static final int`
`GL_RENDERBUFFER_WIDTH`
Framebuffer Object.
`static final int`
`GL_RENDERER`
StringName
`static final int`
`GL_REPEAT`
TextureWrapMode
`static final int`
`GL_REPLACE`
StencilOp
`static final int`
`GL_RGB`
PixelFormat
`static final int`
`GL_RGB5_A1`
Framebuffer Object.
`static final int`
`GL_RGB565`
Framebuffer Object.
`static final int`
`GL_RGBA`
PixelFormat
`static final int`
`GL_RGBA4`
Framebuffer Object.
`static final int`
`GL_SAMPLE_ALPHA_TO_COVERAGE`
EnableCap
`static final int`
`GL_SAMPLE_BUFFERS`
GetPName
`static final int`
`GL_SAMPLE_COVERAGE`
EnableCap
`static final int`
`GL_SAMPLE_COVERAGE_INVERT`
GetPName
`static final int`
`GL_SAMPLE_COVERAGE_VALUE`
GetPName
`static final int`
`GL_SAMPLER_2D`
Uniform Types
`static final int`
`GL_SAMPLER_CUBE`
Uniform Types
`static final int`
`GL_SAMPLES`
GetPName
`static final int`
`GL_SCISSOR_BOX`
GetPName
`static final int`
`GL_SCISSOR_TEST`
EnableCap
`static final int`
`GL_SHADER_BINARY_FORMATS`
Shader Binary
`static final int`
`GL_SHADER_COMPILER`
Shader Source
`static final int`
`GL_SHADER_SOURCE_LENGTH`
Shader Source
`static final int`
`GL_SHADER_TYPE`
Shaders
`static final int`
`GL_SHADING_LANGUAGE_VERSION`
Shaders
`static final int`
`GL_SHORT`
DataType
`static final int`
`GL_SRC_ALPHA`
BlendingFactorDest
`static final int`
`GL_SRC_ALPHA_SATURATE`
BlendingFactorSrc
`static final int`
`GL_SRC_COLOR`
BlendingFactorDest
`static final int`
`GL_STATIC_DRAW`
Buffer Objects
`static final int`
`GL_STENCIL_ATTACHMENT`
Framebuffer Object.
`static final int`
`GL_STENCIL_BACK_FAIL`
GetPName
`static final int`
`GL_STENCIL_BACK_FUNC`
GetPName
`static final int`
`GL_STENCIL_BACK_PASS_DEPTH_FAIL`
GetPName
`static final int`
`GL_STENCIL_BACK_PASS_DEPTH_PASS`
GetPName
`static final int`
`GL_STENCIL_BACK_REF`
GetPName
`static final int`
`GL_STENCIL_BACK_VALUE_MASK`
GetPName
`static final int`
`GL_STENCIL_BACK_WRITEMASK`
GetPName
`static final int`
`GL_STENCIL_BITS`
GetPName
`static final int`
`GL_STENCIL_BUFFER_BIT`
ClearBufferMask
`static final int`
`GL_STENCIL_CLEAR_VALUE`
GetPName
`static final int`
`GL_STENCIL_FAIL`
GetPName
`static final int`
`GL_STENCIL_FUNC`
GetPName
`static final int`
`GL_STENCIL_INDEX`
Framebuffer Object.
`static final int`
`GL_STENCIL_INDEX8`
Framebuffer Object.
`static final int`
`GL_STENCIL_PASS_DEPTH_FAIL`
GetPName
`static final int`
`GL_STENCIL_PASS_DEPTH_PASS`
GetPName
`static final int`
`GL_STENCIL_REF`
GetPName
`static final int`
`GL_STENCIL_TEST`
EnableCap
`static final int`
`GL_STENCIL_VALUE_MASK`
GetPName
`static final int`
`GL_STENCIL_WRITEMASK`
GetPName
`static final int`
`GL_STREAM_DRAW`
Buffer Objects
`static final int`
`GL_SUBPIXEL_BITS`
GetPName
`static final int`
`GL_TEXTURE`
TextureTarget
`static final int`
`GL_TEXTURE_2D`
EnableCap
`static final int`
`GL_TEXTURE_BINDING_2D`
GetPName
`static final int`
`GL_TEXTURE_BINDING_CUBE_MAP`
TextureTarget
`static final int`
`GL_TEXTURE_CUBE_MAP`
TextureTarget
`static final int`
`GL_TEXTURE_CUBE_MAP_NEGATIVE_X`
TextureTarget
`static final int`
`GL_TEXTURE_CUBE_MAP_NEGATIVE_Y`
TextureTarget
`static final int`
`GL_TEXTURE_CUBE_MAP_NEGATIVE_Z`
TextureTarget
`static final int`
`GL_TEXTURE_CUBE_MAP_POSITIVE_X`
TextureTarget
`static final int`
`GL_TEXTURE_CUBE_MAP_POSITIVE_Y`
TextureTarget
`static final int`
`GL_TEXTURE_CUBE_MAP_POSITIVE_Z`
TextureTarget
`static final int`
`GL_TEXTURE_MAG_FILTER`
TextureParameterName
`static final int`
`GL_TEXTURE_MIN_FILTER`
TextureParameterName
`static final int`
`GL_TEXTURE_WRAP_S`
TextureParameterName
`static final int`
`GL_TEXTURE_WRAP_T`
TextureParameterName
`static final int`
`GL_TEXTURE0`
TextureUnit
`static final int`
`GL_TEXTURE1`
TextureUnit
`static final int`
`GL_TEXTURE10`
TextureUnit
`static final int`
`GL_TEXTURE11`
TextureUnit
`static final int`
`GL_TEXTURE12`
TextureUnit
`static final int`
`GL_TEXTURE13`
TextureUnit
`static final int`
`GL_TEXTURE14`
TextureUnit
`static final int`
`GL_TEXTURE15`
TextureUnit
`static final int`
`GL_TEXTURE16`
TextureUnit
`static final int`
`GL_TEXTURE17`
TextureUnit
`static final int`
`GL_TEXTURE18`
TextureUnit
`static final int`
`GL_TEXTURE19`
TextureUnit
`static final int`
`GL_TEXTURE2`
TextureUnit
`static final int`
`GL_TEXTURE20`
TextureUnit
`static final int`
`GL_TEXTURE21`
TextureUnit
`static final int`
`GL_TEXTURE22`
TextureUnit
`static final int`
`GL_TEXTURE23`
TextureUnit
`static final int`
`GL_TEXTURE24`
TextureUnit
`static final int`
`GL_TEXTURE25`
TextureUnit
`static final int`
`GL_TEXTURE26`
TextureUnit
`static final int`
`GL_TEXTURE27`
TextureUnit
`static final int`
`GL_TEXTURE28`
TextureUnit
`static final int`
`GL_TEXTURE29`
TextureUnit
`static final int`
`GL_TEXTURE3`
TextureUnit
`static final int`
`GL_TEXTURE30`
TextureUnit
`static final int`
`GL_TEXTURE31`
TextureUnit
`static final int`
`GL_TEXTURE4`
TextureUnit
`static final int`
`GL_TEXTURE5`
TextureUnit
`static final int`
`GL_TEXTURE6`
TextureUnit
`static final int`
`GL_TEXTURE7`
TextureUnit
`static final int`
`GL_TEXTURE8`
TextureUnit
`static final int`
`GL_TEXTURE9`
TextureUnit
`static final int`
`GL_TRIANGLE_FAN`
BeginMode
`static final int`
`GL_TRIANGLE_STRIP`
BeginMode
`static final int`
`GL_TRIANGLES`
BeginMode
`static final int`
`GL_TRUE`
Boolean
`static final int`
`GL_UNPACK_ALIGNMENT`
GetPName
`static final int`
`GL_UNSIGNED_BYTE`
DataType
`static final int`
`GL_UNSIGNED_INT`
DataType
`static final int`
`GL_UNSIGNED_SHORT`
DataType
`static final int`
`GL_UNSIGNED_SHORT_4_4_4_4`
PixelType
`static final int`
`GL_UNSIGNED_SHORT_5_5_5_1`
PixelType
`static final int`
`GL_UNSIGNED_SHORT_5_6_5`
PixelType
`static final int`
`GL_VALIDATE_STATUS`
Shaders
`static final int`
`GL_VENDOR`
StringName
`static final int`
`GL_VERSION`
StringName
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING`
Vertex Arrays
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_ENABLED`
Vertex Arrays
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_NORMALIZED`
Vertex Arrays
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_POINTER`
Vertex Arrays
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_SIZE`
Vertex Arrays
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_STRIDE`
Vertex Arrays
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_TYPE`
Vertex Arrays
`static final int`
`GL_VERTEX_SHADER`
Shaders
`static final int`
`GL_VIEWPORT`
GetPName
`static final int`
`GL_ZERO`
BlendingFactorDest

## Method Summary

Modifier and Type
Method
Description
`static void`
`glActiveTexture(int texture)`
`static void`
`glAttachShader(int program, int shader)`
`static void`
`glBindAttribLocation(int program, int index, CharSequence name)`
Overloads glBindAttribLocation.
`static void`
`glBindAttribLocation(int program, int index, ByteBuffer name)`
`static void`
`glBindBuffer(int target, int buffer)`
`static void`
`glBindFramebuffer(int target, int framebuffer)`
`static void`
`glBindRenderbuffer(int target, int renderbuffer)`
`static void`
`glBindTexture(int target, int texture)`
`static void`
`glBlendColor(float red, float green, float blue, float alpha)`
`static void`
`glBlendEquation(int mode)`
`static void`
`glBlendEquationSeparate(int modeRGB, int modeAlpha)`
`static void`
`glBlendFunc(int sfactor, int dfactor)`
`static void`
`glBlendFuncSeparate(int srcRGB, int dstRGB, int srcAlpha, int dstAlpha)`
`static void`
`glBufferData(int target, long data_size, int usage)`
`static void`
`glBufferData(int target, ByteBuffer data, int usage)`
`static void`
`glBufferData(int target, FloatBuffer data, int usage)`
`static void`
`glBufferData(int target, IntBuffer data, int usage)`
`static void`
`glBufferData(int target, ShortBuffer data, int usage)`
`static void`
`glBufferSubData(int target, long offset, ByteBuffer data)`
`static void`
`glBufferSubData(int target, long offset, FloatBuffer data)`
`static void`
`glBufferSubData(int target, long offset, IntBuffer data)`
`static void`
`glBufferSubData(int target, long offset, ShortBuffer data)`
`static int`
`glCheckFramebufferStatus(int target)`
`static void`
`glClear(int mask)`
`static void`
`glClearColor(float red, float green, float blue, float alpha)`
`static void`
`glClearDepthf(float depth)`
`static void`
`glClearStencil(int s)`
`static void`
`glColorMask(boolean red, boolean green, boolean blue, boolean alpha)`
`static void`
`glCompileShader(int shader)`
`static void`
`glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, ByteBuffer data)`
`static void`
`glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, ByteBuffer data)`
`static void`
`glCopyTexImage2D(int target, int level, int internalformat, int x, int y, int width, int height, int border)`
`static void`
`glCopyTexSubImage2D(int target, int level, int xoffset, int yoffset, int x, int y, int width, int height)`
`static int`
`glCreateProgram()`
`static int`
`glCreateShader(int type)`
`static void`
`glCullFace(int mode)`
`static void`
`glDeleteBuffers(int buffer)`
Overloads glDeleteBuffers.
`static void`
`glDeleteBuffers(IntBuffer buffers)`
`static void`
`glDeleteFramebuffers(int framebuffer)`
Overloads glDeleteFramebuffers.
`static void`
`glDeleteFramebuffers(IntBuffer framebuffers)`
`static void`
`glDeleteProgram(int program)`
`static void`
`glDeleteRenderbuffers(int renderbuffer)`
Overloads glDeleteRenderbuffers.
`static void`
`glDeleteRenderbuffers(IntBuffer renderbuffers)`
`static void`
`glDeleteShader(int shader)`
`static void`
`glDeleteTextures(int texture)`
Overloads glDeleteTextures.
`static void`
`glDeleteTextures(IntBuffer textures)`
`static void`
`glDepthFunc(int func)`
`static void`
`glDepthMask(boolean flag)`
`static void`
`glDepthRangef(float zNear, float zFar)`
`static void`
`glDetachShader(int program, int shader)`
`static void`
`glDisable(int cap)`
`static void`
`glDisableVertexAttribArray(int index)`
`static void`
`glDrawArrays(int mode, int first, int count)`
`static void`
`glDrawElements(int mode, int indices_count, int type, long indices_buffer_offset)`
`static void`
`glDrawElements(int mode, ByteBuffer indices)`
`static void`
`glDrawElements(int mode, IntBuffer indices)`
`static void`
`glDrawElements(int mode, ShortBuffer indices)`
`static void`
`glEnable(int cap)`
`static void`
`glEnableVertexAttribArray(int index)`
`static void`
`glFinish()`
`static void`
`glFlush()`
`static void`
`glFramebufferRenderbuffer(int target, int attachment, int renderbuffertarget, int renderbuffer)`
`static void`
`glFramebufferTexture2D(int target, int attachment, int textarget, int texture, int level)`
`static void`
`glFrontFace(int mode)`
`static int`
`glGenBuffers()`
Overloads glGenBuffers.
`static void`
`glGenBuffers(IntBuffer buffers)`
`static void`
`glGenerateMipmap(int target)`
`static int`
`glGenFramebuffers()`
Overloads glGenFramebuffers.
`static void`
`glGenFramebuffers(IntBuffer framebuffers)`
`static int`
`glGenRenderbuffers()`
Overloads glGenRenderbuffers.
`static void`
`glGenRenderbuffers(IntBuffer renderbuffers)`
`static int`
`glGenTextures()`
Overloads glGenTextures.
`static void`
`glGenTextures(IntBuffer textures)`
`static String`
`glGetActiveAttrib(int program, int index, int bufsize)`
Overloads glGetActiveAttrib.
`static String`
`glGetActiveAttrib(int program, int index, int bufsize, IntBuffer sizeType)`
Overloads glGetActiveAttrib.
`static void`
`glGetActiveAttrib(int program, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)`
`static int`
`glGetActiveAttribSize(int program, int index)`
Overloads glGetActiveAttrib.
`static int`
`glGetActiveAttribType(int program, int index)`
Overloads glGetActiveAttrib.
`static String`
`glGetActiveUniform(int program, int index, int bufsize)`
Overloads glGetActiveUniform.
`static String`
`glGetActiveUniform(int program, int index, int bufsize, IntBuffer sizeType)`
Overloads glGetActiveUniform.
`static void`
`glGetActiveUniform(int program, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)`
`static int`
`glGetActiveUniformSize(int program, int index)`
Overloads glGetActiveUniform.
`static int`
`glGetActiveUniformType(int program, int index)`
Overloads glGetActiveUniform.
`static void`
`glGetAttachedShaders(int program, IntBuffer count, IntBuffer shaders)`
`static int`
`glGetAttribLocation(int program, CharSequence name)`
Overloads glGetAttribLocation.
`static int`
`glGetAttribLocation(int program, ByteBuffer name)`
`static boolean`
`glGetBoolean(int pname)`
Overloads glGetBooleanv.
`static void`
`glGetBoolean(int pname, ByteBuffer params)`
`static int`
`glGetBufferParameter(int target, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetBufferParameter(int target, int pname, IntBuffer params)`
`static int`
`glGetBufferParameteri(int target, int pname)`
Overloads glGetBufferParameteriv.
`static int`
`glGetError()`
`static float`
`glGetFloat(int pname)`
Overloads glGetFloatv.
`static void`
`glGetFloat(int pname, FloatBuffer params)`
`static int`
`glGetFramebufferAttachmentParameter(int target, int attachment, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetFramebufferAttachmentParameter(int target, int attachment, int pname, IntBuffer params)`
`static int`
`glGetFramebufferAttachmentParameteri(int target, int attachment, int pname)`
Overloads glGetFramebufferAttachmentParameteriv.
`static int`
`glGetInteger(int pname)`
Overloads glGetIntegerv.
`static void`
`glGetInteger(int pname, IntBuffer params)`
`static int`
`glGetProgram(int program, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetProgram(int program, int pname, IntBuffer params)`
`static int`
`glGetProgrami(int program, int pname)`
Overloads glGetProgramiv.
`static String`
`glGetProgramInfoLog(int program, int bufsize)`
Overloads glGetProgramInfoLog.
`static void`
`glGetProgramInfoLog(int program, IntBuffer length, ByteBuffer infoLog)`
`static int`
`glGetRenderbufferParameter(int target, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetRenderbufferParameter(int target, int pname, IntBuffer params)`
`static int`
`glGetRenderbufferParameteri(int target, int pname)`
Overloads glGetRenderbufferParameteriv.
`static int`
`glGetShader(int shader, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetShader(int shader, int pname, IntBuffer params)`
`static int`
`glGetShaderi(int shader, int pname)`
Overloads glGetShaderiv.
`static String`
`glGetShaderInfoLog(int shader, int bufsize)`
Overloads glGetShaderInfoLog.
`static void`
`glGetShaderInfoLog(int shader, IntBuffer length, ByteBuffer infoLog)`
`static void`
`glGetShaderPrecisionFormat(int shadertype, int precisiontype, IntBuffer range, IntBuffer precision)`
`static String`
`glGetShaderSource(int shader, int bufsize)`
Overloads glGetShaderSource.
`static void`
`glGetShaderSource(int shader, IntBuffer length, ByteBuffer source)`
`static String`
`glGetString(int name)`
`static void`
`glGetTexParameter(int target, int pname, FloatBuffer params)`
`static void`
`glGetTexParameter(int target, int pname, IntBuffer params)`
`static float`
`glGetTexParameterf(int target, int pname)`
Overloads glGetTexParameterfv.
`static int`
`glGetTexParameteri(int target, int pname)`
Overloads glGetTexParameteriv.
`static void`
`glGetUniform(int program, int location, FloatBuffer params)`
`static void`
`glGetUniform(int program, int location, IntBuffer params)`
`static int`
`glGetUniformLocation(int program, CharSequence name)`
Overloads glGetUniformLocation.
`static int`
`glGetUniformLocation(int program, ByteBuffer name)`
Returns the location of the uniform with the specified name.
`static void`
`glGetVertexAttrib(int index, int pname, FloatBuffer params)`
`static void`
`glGetVertexAttrib(int index, int pname, IntBuffer params)`
`static ByteBuffer`
`glGetVertexAttribPointer(int index, int pname, long result_size)`
`static void`
`glHint(int target, int mode)`
`static boolean`
`glIsBuffer(int buffer)`
`static boolean`
`glIsEnabled(int cap)`
`static boolean`
`glIsFramebuffer(int framebuffer)`
`static boolean`
`glIsProgram(int program)`
`static boolean`
`glIsRenderbuffer(int renderbuffer)`
`static boolean`
`glIsShader(int shader)`
`static boolean`
`glIsTexture(int texture)`
`static void`
`glLineWidth(float width)`
`static void`
`glLinkProgram(int program)`
`static void`
`glPixelStorei(int pname, int param)`
`static void`
`glPolygonOffset(float factor, float units)`
`static void`
`glReadPixels(int x, int y, int width, int height, int format, int type, ByteBuffer pixels)`
`static void`
`glReadPixels(int x, int y, int width, int height, int format, int type, FloatBuffer pixels)`
`static void`
`glReadPixels(int x, int y, int width, int height, int format, int type, IntBuffer pixels)`
`static void`
`glReadPixels(int x, int y, int width, int height, int format, int type, ShortBuffer pixels)`
`static void`
`glReleaseShaderCompiler()`
`static void`
`glRenderbufferStorage(int target, int internalformat, int width, int height)`
`static void`
`glSampleCoverage(float value, boolean invert)`
`static void`
`glScissor(int x, int y, int width, int height)`
`static void`
`glShaderBinary(IntBuffer shaders, int binaryformat, ByteBuffer binary)`
`static void`
`glShaderSource(int shader, CharSequence string)`
Overloads glShaderSource.
`static void`
`glShaderSource(int shader, CharSequence[] strings)`
Overloads glShaderSource.
`static void`
`glShaderSource(int shader, ByteBuffer string)`
glShaderSource allows multiple, optionally null-terminated, source strings to define a shader program.
`static void`
`glStencilFunc(int func, int ref, int mask)`
`static void`
`glStencilFuncSeparate(int face, int func, int ref, int mask)`
`static void`
`glStencilMask(int mask)`
`static void`
`glStencilMaskSeparate(int face, int mask)`
`static void`
`glStencilOp(int fail, int zfail, int zpass)`
`static void`
`glStencilOpSeparate(int face, int fail, int zfail, int zpass)`
`static void`
`glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, ByteBuffer pixels)`
`static void`
`glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, FloatBuffer pixels)`
`static void`
`glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, IntBuffer pixels)`
`static void`
`glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, ShortBuffer pixels)`
`static void`
`glTexParameter(int target, int pname, FloatBuffer param)`
`static void`
`glTexParameter(int target, int pname, IntBuffer param)`
`static void`
`glTexParameterf(int target, int pname, float param)`
`static void`
`glTexParameteri(int target, int pname, int param)`
`static void`
`glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, ByteBuffer pixels)`
`static void`
`glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, FloatBuffer pixels)`
`static void`
`glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, IntBuffer pixels)`
`static void`
`glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, ShortBuffer pixels)`
`static void`
`glUniform1(int location, FloatBuffer v)`
`static void`
`glUniform1(int location, IntBuffer v)`
`static void`
`glUniform1f(int location, float x)`
`static void`
`glUniform1i(int location, int x)`
`static void`
`glUniform2(int location, FloatBuffer v)`
`static void`
`glUniform2(int location, IntBuffer v)`
`static void`
`glUniform2f(int location, float x, float y)`
`static void`
`glUniform2i(int location, int x, int y)`
`static void`
`glUniform3(int location, FloatBuffer v)`
`static void`
`glUniform3(int location, IntBuffer v)`
`static void`
`glUniform3f(int location, float x, float y, float z)`
`static void`
`glUniform3i(int location, int x, int y, int z)`
`static void`
`glUniform4(int location, FloatBuffer v)`
`static void`
`glUniform4(int location, IntBuffer v)`
`static void`
`glUniform4f(int location, float x, float y, float z, float w)`
`static void`
`glUniform4i(int location, int x, int y, int z, int w)`
`static void`
`glUniformMatrix2(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUniformMatrix3(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUniformMatrix4(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUseProgram(int program)`
`static void`
`glValidateProgram(int program)`
`static void`
`glVertexAttrib1(int indx, FloatBuffer values)`
`static void`
`glVertexAttrib1f(int indx, float x)`
`static void`
`glVertexAttrib2(int indx, FloatBuffer values)`
`static void`
`glVertexAttrib2f(int indx, float x, float y)`
`static void`
`glVertexAttrib3(int indx, FloatBuffer values)`
`static void`
`glVertexAttrib3f(int indx, float x, float y, float z)`
`static void`
`glVertexAttrib4(int indx, FloatBuffer values)`
`static void`
`glVertexAttrib4f(int indx, float x, float y, float z, float w)`
`static void`
`glVertexAttribPointer(int index, int size, boolean unsigned, boolean normalized, int stride, ByteBuffer buffer)`
`static void`
`glVertexAttribPointer(int index, int size, boolean unsigned, boolean normalized, int stride, IntBuffer buffer)`
`static void`
`glVertexAttribPointer(int index, int size, boolean unsigned, boolean normalized, int stride, ShortBuffer buffer)`
`static void`
`glVertexAttribPointer(int index, int size, boolean normalized, int stride, FloatBuffer buffer)`
`static void`
`glVertexAttribPointer(int index, int size, int type, boolean normalized, int stride, long buffer_buffer_offset)`
`static void`
`glViewport(int x, int y, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_DEPTH_BUFFER_BIT

public static final int GL_DEPTH_BUFFER_BIT
ClearBufferMask

See Also:
  - Constant Field Values

### GL_STENCIL_BUFFER_BIT

public static final int GL_STENCIL_BUFFER_BIT
ClearBufferMask

See Also:
  - Constant Field Values

### GL_COLOR_BUFFER_BIT

public static final int GL_COLOR_BUFFER_BIT
ClearBufferMask

See Also:
  - Constant Field Values

### GL_FALSE

public static final int GL_FALSE
Boolean

See Also:
  - Constant Field Values

### GL_TRUE

public static final int GL_TRUE
Boolean

See Also:
  - Constant Field Values

### GL_POINTS

public static final int GL_POINTS
BeginMode

See Also:
  - Constant Field Values

### GL_LINES

public static final int GL_LINES
BeginMode

See Also:
  - Constant Field Values

### GL_LINE_LOOP

public static final int GL_LINE_LOOP
BeginMode

See Also:
  - Constant Field Values

### GL_LINE_STRIP

public static final int GL_LINE_STRIP
BeginMode

See Also:
  - Constant Field Values

### GL_TRIANGLES

public static final int GL_TRIANGLES
BeginMode

See Also:
  - Constant Field Values

### GL_TRIANGLE_STRIP

public static final int GL_TRIANGLE_STRIP
BeginMode

See Also:
  - Constant Field Values

### GL_TRIANGLE_FAN

public static final int GL_TRIANGLE_FAN
BeginMode

See Also:
  - Constant Field Values

### GL_ZERO

public static final int GL_ZERO
BlendingFactorDest

See Also:
  - Constant Field Values

### GL_ONE

public static final int GL_ONE
BlendingFactorDest

See Also:
  - Constant Field Values

### GL_SRC_COLOR

public static final int GL_SRC_COLOR
BlendingFactorDest

See Also:
  - Constant Field Values

### GL_ONE_MINUS_SRC_COLOR

public static final int GL_ONE_MINUS_SRC_COLOR
BlendingFactorDest

See Also:
  - Constant Field Values

### GL_SRC_ALPHA

public static final int GL_SRC_ALPHA
BlendingFactorDest

See Also:
  - Constant Field Values

### GL_ONE_MINUS_SRC_ALPHA

public static final int GL_ONE_MINUS_SRC_ALPHA
BlendingFactorDest

See Also:
  - Constant Field Values

### GL_DST_ALPHA

public static final int GL_DST_ALPHA
BlendingFactorDest

See Also:
  - Constant Field Values

### GL_ONE_MINUS_DST_ALPHA

public static final int GL_ONE_MINUS_DST_ALPHA
BlendingFactorDest

See Also:
  - Constant Field Values

### GL_DST_COLOR

public static final int GL_DST_COLOR
BlendingFactorSrc

See Also:
  - Constant Field Values

### GL_ONE_MINUS_DST_COLOR

public static final int GL_ONE_MINUS_DST_COLOR
BlendingFactorSrc

See Also:
  - Constant Field Values

### GL_SRC_ALPHA_SATURATE

public static final int GL_SRC_ALPHA_SATURATE
BlendingFactorSrc

See Also:
  - Constant Field Values

### GL_FUNC_ADD

public static final int GL_FUNC_ADD
BlendEquationSeparate

See Also:
  - Constant Field Values

### GL_BLEND_EQUATION

public static final int GL_BLEND_EQUATION
BlendEquationSeparate

See Also:
  - Constant Field Values

### GL_BLEND_EQUATION_RGB

public static final int GL_BLEND_EQUATION_RGB
BlendEquationSeparate

See Also:
  - Constant Field Values

### GL_BLEND_EQUATION_ALPHA

public static final int GL_BLEND_EQUATION_ALPHA
BlendEquationSeparate

See Also:
  - Constant Field Values

### GL_FUNC_SUBTRACT

public static final int GL_FUNC_SUBTRACT
BlendSubtract

See Also:
  - Constant Field Values

### GL_FUNC_REVERSE_SUBTRACT

public static final int GL_FUNC_REVERSE_SUBTRACT
BlendSubtract

See Also:
  - Constant Field Values

### GL_BLEND_DST_RGB

public static final int GL_BLEND_DST_RGB
Separate Blend Functions

See Also:
  - Constant Field Values

### GL_BLEND_SRC_RGB

public static final int GL_BLEND_SRC_RGB
Separate Blend Functions

See Also:
  - Constant Field Values

### GL_BLEND_DST_ALPHA

public static final int GL_BLEND_DST_ALPHA
Separate Blend Functions

See Also:
  - Constant Field Values

### GL_BLEND_SRC_ALPHA

public static final int GL_BLEND_SRC_ALPHA
Separate Blend Functions

See Also:
  - Constant Field Values

### GL_CONSTANT_COLOR

public static final int GL_CONSTANT_COLOR
Separate Blend Functions

See Also:
  - Constant Field Values

### GL_ONE_MINUS_CONSTANT_COLOR

public static final int GL_ONE_MINUS_CONSTANT_COLOR
Separate Blend Functions

See Also:
  - Constant Field Values

### GL_CONSTANT_ALPHA

public static final int GL_CONSTANT_ALPHA
Separate Blend Functions

See Also:
  - Constant Field Values

### GL_ONE_MINUS_CONSTANT_ALPHA

public static final int GL_ONE_MINUS_CONSTANT_ALPHA
Separate Blend Functions

See Also:
  - Constant Field Values

### GL_BLEND_COLOR

public static final int GL_BLEND_COLOR
Separate Blend Functions

See Also:
  - Constant Field Values

### GL_ARRAY_BUFFER

public static final int GL_ARRAY_BUFFER
Buffer Objects

See Also:
  - Constant Field Values

### GL_ELEMENT_ARRAY_BUFFER

public static final int GL_ELEMENT_ARRAY_BUFFER
Buffer Objects

See Also:
  - Constant Field Values

### GL_ARRAY_BUFFER_BINDING

public static final int GL_ARRAY_BUFFER_BINDING
Buffer Objects

See Also:
  - Constant Field Values

### GL_ELEMENT_ARRAY_BUFFER_BINDING

public static final int GL_ELEMENT_ARRAY_BUFFER_BINDING
Buffer Objects

See Also:
  - Constant Field Values

### GL_STREAM_DRAW

public static final int GL_STREAM_DRAW
Buffer Objects

See Also:
  - Constant Field Values

### GL_STATIC_DRAW

public static final int GL_STATIC_DRAW
Buffer Objects

See Also:
  - Constant Field Values

### GL_DYNAMIC_DRAW

public static final int GL_DYNAMIC_DRAW
Buffer Objects

See Also:
  - Constant Field Values

### GL_BUFFER_SIZE

public static final int GL_BUFFER_SIZE
Buffer Objects

See Also:
  - Constant Field Values

### GL_BUFFER_USAGE

public static final int GL_BUFFER_USAGE
Buffer Objects

See Also:
  - Constant Field Values

### GL_CURRENT_VERTEX_ATTRIB

public static final int GL_CURRENT_VERTEX_ATTRIB
Buffer Objects

See Also:
  - Constant Field Values

### GL_FRONT

public static final int GL_FRONT
CullFaceMode

See Also:
  - Constant Field Values

### GL_BACK

public static final int GL_BACK
CullFaceMode

See Also:
  - Constant Field Values

### GL_FRONT_AND_BACK

public static final int GL_FRONT_AND_BACK
CullFaceMode

See Also:
  - Constant Field Values

### GL_TEXTURE_2D

public static final int GL_TEXTURE_2D
EnableCap

See Also:
  - Constant Field Values

### GL_CULL_FACE

public static final int GL_CULL_FACE
EnableCap

See Also:
  - Constant Field Values

### GL_BLEND

public static final int GL_BLEND
EnableCap

See Also:
  - Constant Field Values

### GL_DITHER

public static final int GL_DITHER
EnableCap

See Also:
  - Constant Field Values

### GL_STENCIL_TEST

public static final int GL_STENCIL_TEST
EnableCap

See Also:
  - Constant Field Values

### GL_DEPTH_TEST

public static final int GL_DEPTH_TEST
EnableCap

See Also:
  - Constant Field Values

### GL_SCISSOR_TEST

public static final int GL_SCISSOR_TEST
EnableCap

See Also:
  - Constant Field Values

### GL_POLYGON_OFFSET_FILL

public static final int GL_POLYGON_OFFSET_FILL
EnableCap

See Also:
  - Constant Field Values

### GL_SAMPLE_ALPHA_TO_COVERAGE

public static final int GL_SAMPLE_ALPHA_TO_COVERAGE
EnableCap

See Also:
  - Constant Field Values

### GL_SAMPLE_COVERAGE

public static final int GL_SAMPLE_COVERAGE
EnableCap

See Also:
  - Constant Field Values

### GL_NO_ERROR

public static final int GL_NO_ERROR
ErrorCode

See Also:
  - Constant Field Values

### GL_INVALID_ENUM

public static final int GL_INVALID_ENUM
ErrorCode

See Also:
  - Constant Field Values

### GL_INVALID_VALUE

public static final int GL_INVALID_VALUE
ErrorCode

See Also:
  - Constant Field Values

### GL_INVALID_OPERATION

public static final int GL_INVALID_OPERATION
ErrorCode

See Also:
  - Constant Field Values

### GL_OUT_OF_MEMORY

public static final int GL_OUT_OF_MEMORY
ErrorCode

See Also:
  - Constant Field Values

### GL_CW

public static final int GL_CW
FrontFaceDirection

See Also:
  - Constant Field Values

### GL_CCW

public static final int GL_CCW
FrontFaceDirection

See Also:
  - Constant Field Values

### GL_LINE_WIDTH

public static final int GL_LINE_WIDTH
GetPName

See Also:
  - Constant Field Values

### GL_ALIASED_POINT_SIZE_RANGE

public static final int GL_ALIASED_POINT_SIZE_RANGE
GetPName

See Also:
  - Constant Field Values

### GL_ALIASED_LINE_WIDTH_RANGE

public static final int GL_ALIASED_LINE_WIDTH_RANGE
GetPName

See Also:
  - Constant Field Values

### GL_CULL_FACE_MODE

public static final int GL_CULL_FACE_MODE
GetPName

See Also:
  - Constant Field Values

### GL_FRONT_FACE

public static final int GL_FRONT_FACE
GetPName

See Also:
  - Constant Field Values

### GL_DEPTH_RANGE

public static final int GL_DEPTH_RANGE
GetPName

See Also:
  - Constant Field Values

### GL_DEPTH_WRITEMASK

public static final int GL_DEPTH_WRITEMASK
GetPName

See Also:
  - Constant Field Values

### GL_DEPTH_CLEAR_VALUE

public static final int GL_DEPTH_CLEAR_VALUE
GetPName

See Also:
  - Constant Field Values

### GL_DEPTH_FUNC

public static final int GL_DEPTH_FUNC
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_CLEAR_VALUE

public static final int GL_STENCIL_CLEAR_VALUE
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_FUNC

public static final int GL_STENCIL_FUNC
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_FAIL

public static final int GL_STENCIL_FAIL
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_PASS_DEPTH_FAIL

public static final int GL_STENCIL_PASS_DEPTH_FAIL
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_PASS_DEPTH_PASS

public static final int GL_STENCIL_PASS_DEPTH_PASS
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_REF

public static final int GL_STENCIL_REF
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_VALUE_MASK

public static final int GL_STENCIL_VALUE_MASK
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_WRITEMASK

public static final int GL_STENCIL_WRITEMASK
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_BACK_FUNC

public static final int GL_STENCIL_BACK_FUNC
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_BACK_FAIL

public static final int GL_STENCIL_BACK_FAIL
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_BACK_PASS_DEPTH_FAIL

public static final int GL_STENCIL_BACK_PASS_DEPTH_FAIL
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_BACK_PASS_DEPTH_PASS

public static final int GL_STENCIL_BACK_PASS_DEPTH_PASS
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_BACK_REF

public static final int GL_STENCIL_BACK_REF
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_BACK_VALUE_MASK

public static final int GL_STENCIL_BACK_VALUE_MASK
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_BACK_WRITEMASK

public static final int GL_STENCIL_BACK_WRITEMASK
GetPName

See Also:
  - Constant Field Values

### GL_VIEWPORT

public static final int GL_VIEWPORT
GetPName

See Also:
  - Constant Field Values

### GL_SCISSOR_BOX

public static final int GL_SCISSOR_BOX
GetPName

See Also:
  - Constant Field Values

### GL_COLOR_CLEAR_VALUE

public static final int GL_COLOR_CLEAR_VALUE
GetPName

See Also:
  - Constant Field Values

### GL_COLOR_WRITEMASK

public static final int GL_COLOR_WRITEMASK
GetPName

See Also:
  - Constant Field Values

### GL_UNPACK_ALIGNMENT

public static final int GL_UNPACK_ALIGNMENT
GetPName

See Also:
  - Constant Field Values

### GL_PACK_ALIGNMENT

public static final int GL_PACK_ALIGNMENT
GetPName

See Also:
  - Constant Field Values

### GL_MAX_TEXTURE_SIZE

public static final int GL_MAX_TEXTURE_SIZE
GetPName

See Also:
  - Constant Field Values

### GL_MAX_VIEWPORT_DIMS

public static final int GL_MAX_VIEWPORT_DIMS
GetPName

See Also:
  - Constant Field Values

### GL_SUBPIXEL_BITS

public static final int GL_SUBPIXEL_BITS
GetPName

See Also:
  - Constant Field Values

### GL_RED_BITS

public static final int GL_RED_BITS
GetPName

See Also:
  - Constant Field Values

### GL_GREEN_BITS

public static final int GL_GREEN_BITS
GetPName

See Also:
  - Constant Field Values

### GL_BLUE_BITS

public static final int GL_BLUE_BITS
GetPName

See Also:
  - Constant Field Values

### GL_ALPHA_BITS

public static final int GL_ALPHA_BITS
GetPName

See Also:
  - Constant Field Values

### GL_DEPTH_BITS

public static final int GL_DEPTH_BITS
GetPName

See Also:
  - Constant Field Values

### GL_STENCIL_BITS

public static final int GL_STENCIL_BITS
GetPName

See Also:
  - Constant Field Values

### GL_POLYGON_OFFSET_UNITS

public static final int GL_POLYGON_OFFSET_UNITS
GetPName

See Also:
  - Constant Field Values

### GL_POLYGON_OFFSET_FACTOR

public static final int GL_POLYGON_OFFSET_FACTOR
GetPName

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_2D

public static final int GL_TEXTURE_BINDING_2D
GetPName

See Also:
  - Constant Field Values

### GL_SAMPLE_BUFFERS

public static final int GL_SAMPLE_BUFFERS
GetPName

See Also:
  - Constant Field Values

### GL_SAMPLES

public static final int GL_SAMPLES
GetPName

See Also:
  - Constant Field Values

### GL_SAMPLE_COVERAGE_VALUE

public static final int GL_SAMPLE_COVERAGE_VALUE
GetPName

See Also:
  - Constant Field Values

### GL_SAMPLE_COVERAGE_INVERT

public static final int GL_SAMPLE_COVERAGE_INVERT
GetPName

See Also:
  - Constant Field Values

### GL_NUM_COMPRESSED_TEXTURE_FORMATS

public static final int GL_NUM_COMPRESSED_TEXTURE_FORMATS
GetTextureParameter

See Also:
  - Constant Field Values

### GL_COMPRESSED_TEXTURE_FORMATS

public static final int GL_COMPRESSED_TEXTURE_FORMATS
GetTextureParameter

See Also:
  - Constant Field Values

### GL_DONT_CARE

public static final int GL_DONT_CARE
HintMode

See Also:
  - Constant Field Values

### GL_FASTEST

public static final int GL_FASTEST
HintMode

See Also:
  - Constant Field Values

### GL_NICEST

public static final int GL_NICEST
HintMode

See Also:
  - Constant Field Values

### GL_GENERATE_MIPMAP_HINT

public static final int GL_GENERATE_MIPMAP_HINT
HintTarget

See Also:
  - Constant Field Values

### GL_BYTE

public static final int GL_BYTE
DataType

See Also:
  - Constant Field Values

### GL_UNSIGNED_BYTE

public static final int GL_UNSIGNED_BYTE
DataType

See Also:
  - Constant Field Values

### GL_SHORT

public static final int GL_SHORT
DataType

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT

public static final int GL_UNSIGNED_SHORT
DataType

See Also:
  - Constant Field Values

### GL_INT

public static final int GL_INT
DataType

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT

public static final int GL_UNSIGNED_INT
DataType

See Also:
  - Constant Field Values

### GL_FLOAT

public static final int GL_FLOAT
DataType

See Also:
  - Constant Field Values

### GL_FIXED

public static final int GL_FIXED
DataType

See Also:
  - Constant Field Values

### GL_DEPTH_COMPONENT

public static final int GL_DEPTH_COMPONENT
PixelFormat

See Also:
  - Constant Field Values

### GL_ALPHA

public static final int GL_ALPHA
PixelFormat

See Also:
  - Constant Field Values

### GL_RGB

public static final int GL_RGB
PixelFormat

See Also:
  - Constant Field Values

### GL_RGBA

public static final int GL_RGBA
PixelFormat

See Also:
  - Constant Field Values

### GL_LUMINANCE

public static final int GL_LUMINANCE
PixelFormat

See Also:
  - Constant Field Values

### GL_LUMINANCE_ALPHA

public static final int GL_LUMINANCE_ALPHA
PixelFormat

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_4_4_4_4

public static final int GL_UNSIGNED_SHORT_4_4_4_4
PixelType

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_5_5_5_1

public static final int GL_UNSIGNED_SHORT_5_5_5_1
PixelType

See Also:
  - Constant Field Values

### GL_UNSIGNED_SHORT_5_6_5

public static final int GL_UNSIGNED_SHORT_5_6_5
PixelType

See Also:
  - Constant Field Values

### GL_FRAGMENT_SHADER

public static final int GL_FRAGMENT_SHADER
Shaders

See Also:
  - Constant Field Values

### GL_VERTEX_SHADER

public static final int GL_VERTEX_SHADER
Shaders

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_ATTRIBS

public static final int GL_MAX_VERTEX_ATTRIBS
Shaders

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_UNIFORM_VECTORS

public static final int GL_MAX_VERTEX_UNIFORM_VECTORS
Shaders

See Also:
  - Constant Field Values

### GL_MAX_VARYING_VECTORS

public static final int GL_MAX_VARYING_VECTORS
Shaders

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS

public static final int GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS
Shaders

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS

public static final int GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS
Shaders

See Also:
  - Constant Field Values

### GL_MAX_TEXTURE_IMAGE_UNITS

public static final int GL_MAX_TEXTURE_IMAGE_UNITS
Shaders

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_UNIFORM_VECTORS

public static final int GL_MAX_FRAGMENT_UNIFORM_VECTORS
Shaders

See Also:
  - Constant Field Values

### GL_SHADER_TYPE

public static final int GL_SHADER_TYPE
Shaders

See Also:
  - Constant Field Values

### GL_DELETE_STATUS

public static final int GL_DELETE_STATUS
Shaders

See Also:
  - Constant Field Values

### GL_LINK_STATUS

public static final int GL_LINK_STATUS
Shaders

See Also:
  - Constant Field Values

### GL_VALIDATE_STATUS

public static final int GL_VALIDATE_STATUS
Shaders

See Also:
  - Constant Field Values

### GL_ATTACHED_SHADERS

public static final int GL_ATTACHED_SHADERS
Shaders

See Also:
  - Constant Field Values

### GL_ACTIVE_UNIFORMS

public static final int GL_ACTIVE_UNIFORMS
Shaders

See Also:
  - Constant Field Values

### GL_ACTIVE_UNIFORM_MAX_LENGTH

public static final int GL_ACTIVE_UNIFORM_MAX_LENGTH
Shaders

See Also:
  - Constant Field Values

### GL_ACTIVE_ATTRIBUTES

public static final int GL_ACTIVE_ATTRIBUTES
Shaders

See Also:
  - Constant Field Values

### GL_ACTIVE_ATTRIBUTE_MAX_LENGTH

public static final int GL_ACTIVE_ATTRIBUTE_MAX_LENGTH
Shaders

See Also:
  - Constant Field Values

### GL_SHADING_LANGUAGE_VERSION

public static final int GL_SHADING_LANGUAGE_VERSION
Shaders

See Also:
  - Constant Field Values

### GL_CURRENT_PROGRAM

public static final int GL_CURRENT_PROGRAM
Shaders

See Also:
  - Constant Field Values

### GL_NEVER

public static final int GL_NEVER
StencilFunction

See Also:
  - Constant Field Values

### GL_LESS

public static final int GL_LESS
StencilFunction

See Also:
  - Constant Field Values

### GL_EQUAL

public static final int GL_EQUAL
StencilFunction

See Also:
  - Constant Field Values

### GL_LEQUAL

public static final int GL_LEQUAL
StencilFunction

See Also:
  - Constant Field Values

### GL_GREATER

public static final int GL_GREATER
StencilFunction

See Also:
  - Constant Field Values

### GL_NOTEQUAL

public static final int GL_NOTEQUAL
StencilFunction

See Also:
  - Constant Field Values

### GL_GEQUAL

public static final int GL_GEQUAL
StencilFunction

See Also:
  - Constant Field Values

### GL_ALWAYS

public static final int GL_ALWAYS
StencilFunction

See Also:
  - Constant Field Values

### GL_KEEP

public static final int GL_KEEP
StencilOp

See Also:
  - Constant Field Values

### GL_REPLACE

public static final int GL_REPLACE
StencilOp

See Also:
  - Constant Field Values

### GL_INCR

public static final int GL_INCR
StencilOp

See Also:
  - Constant Field Values

### GL_DECR

public static final int GL_DECR
StencilOp

See Also:
  - Constant Field Values

### GL_INVERT

public static final int GL_INVERT
StencilOp

See Also:
  - Constant Field Values

### GL_INCR_WRAP

public static final int GL_INCR_WRAP
StencilOp

See Also:
  - Constant Field Values

### GL_DECR_WRAP

public static final int GL_DECR_WRAP
StencilOp

See Also:
  - Constant Field Values

### GL_VENDOR

public static final int GL_VENDOR
StringName

See Also:
  - Constant Field Values

### GL_RENDERER

public static final int GL_RENDERER
StringName

See Also:
  - Constant Field Values

### GL_VERSION

public static final int GL_VERSION
StringName

See Also:
  - Constant Field Values

### GL_EXTENSIONS

public static final int GL_EXTENSIONS
StringName

See Also:
  - Constant Field Values

### GL_NEAREST

public static final int GL_NEAREST
TextureMagFilter

See Also:
  - Constant Field Values

### GL_LINEAR

public static final int GL_LINEAR
TextureMagFilter

See Also:
  - Constant Field Values

### GL_NEAREST_MIPMAP_NEAREST

public static final int GL_NEAREST_MIPMAP_NEAREST
TextureMinFilter

See Also:
  - Constant Field Values

### GL_LINEAR_MIPMAP_NEAREST

public static final int GL_LINEAR_MIPMAP_NEAREST
TextureMinFilter

See Also:
  - Constant Field Values

### GL_NEAREST_MIPMAP_LINEAR

public static final int GL_NEAREST_MIPMAP_LINEAR
TextureMinFilter

See Also:
  - Constant Field Values

### GL_LINEAR_MIPMAP_LINEAR

public static final int GL_LINEAR_MIPMAP_LINEAR
TextureMinFilter

See Also:
  - Constant Field Values

### GL_TEXTURE_MAG_FILTER

public static final int GL_TEXTURE_MAG_FILTER
TextureParameterName

See Also:
  - Constant Field Values

### GL_TEXTURE_MIN_FILTER

public static final int GL_TEXTURE_MIN_FILTER
TextureParameterName

See Also:
  - Constant Field Values

### GL_TEXTURE_WRAP_S

public static final int GL_TEXTURE_WRAP_S
TextureParameterName

See Also:
  - Constant Field Values

### GL_TEXTURE_WRAP_T

public static final int GL_TEXTURE_WRAP_T
TextureParameterName

See Also:
  - Constant Field Values

### GL_TEXTURE

public static final int GL_TEXTURE
TextureTarget

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP

public static final int GL_TEXTURE_CUBE_MAP
TextureTarget

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_CUBE_MAP

public static final int GL_TEXTURE_BINDING_CUBE_MAP
TextureTarget

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_POSITIVE_X

public static final int GL_TEXTURE_CUBE_MAP_POSITIVE_X
TextureTarget

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_NEGATIVE_X

public static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_X
TextureTarget

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_POSITIVE_Y

public static final int GL_TEXTURE_CUBE_MAP_POSITIVE_Y
TextureTarget

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_NEGATIVE_Y

public static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_Y
TextureTarget

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_POSITIVE_Z

public static final int GL_TEXTURE_CUBE_MAP_POSITIVE_Z
TextureTarget

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_NEGATIVE_Z

public static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_Z
TextureTarget

See Also:
  - Constant Field Values

### GL_MAX_CUBE_MAP_TEXTURE_SIZE

public static final int GL_MAX_CUBE_MAP_TEXTURE_SIZE
TextureTarget

See Also:
  - Constant Field Values

### GL_TEXTURE0

public static final int GL_TEXTURE0
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE1

public static final int GL_TEXTURE1
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE2

public static final int GL_TEXTURE2
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE3

public static final int GL_TEXTURE3
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE4

public static final int GL_TEXTURE4
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE5

public static final int GL_TEXTURE5
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE6

public static final int GL_TEXTURE6
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE7

public static final int GL_TEXTURE7
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE8

public static final int GL_TEXTURE8
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE9

public static final int GL_TEXTURE9
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE10

public static final int GL_TEXTURE10
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE11

public static final int GL_TEXTURE11
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE12

public static final int GL_TEXTURE12
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE13

public static final int GL_TEXTURE13
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE14

public static final int GL_TEXTURE14
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE15

public static final int GL_TEXTURE15
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE16

public static final int GL_TEXTURE16
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE17

public static final int GL_TEXTURE17
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE18

public static final int GL_TEXTURE18
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE19

public static final int GL_TEXTURE19
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE20

public static final int GL_TEXTURE20
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE21

public static final int GL_TEXTURE21
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE22

public static final int GL_TEXTURE22
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE23

public static final int GL_TEXTURE23
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE24

public static final int GL_TEXTURE24
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE25

public static final int GL_TEXTURE25
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE26

public static final int GL_TEXTURE26
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE27

public static final int GL_TEXTURE27
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE28

public static final int GL_TEXTURE28
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE29

public static final int GL_TEXTURE29
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE30

public static final int GL_TEXTURE30
TextureUnit

See Also:
  - Constant Field Values

### GL_TEXTURE31

public static final int GL_TEXTURE31
TextureUnit

See Also:
  - Constant Field Values

### GL_ACTIVE_TEXTURE

public static final int GL_ACTIVE_TEXTURE
TextureUnit

See Also:
  - Constant Field Values

### GL_REPEAT

public static final int GL_REPEAT
TextureWrapMode

See Also:
  - Constant Field Values

### GL_CLAMP_TO_EDGE

public static final int GL_CLAMP_TO_EDGE
TextureWrapMode

See Also:
  - Constant Field Values

### GL_MIRRORED_REPEAT

public static final int GL_MIRRORED_REPEAT
TextureWrapMode

See Also:
  - Constant Field Values

### GL_FLOAT_VEC2

public static final int GL_FLOAT_VEC2
Uniform Types

See Also:
  - Constant Field Values

### GL_FLOAT_VEC3

public static final int GL_FLOAT_VEC3
Uniform Types

See Also:
  - Constant Field Values

### GL_FLOAT_VEC4

public static final int GL_FLOAT_VEC4
Uniform Types

See Also:
  - Constant Field Values

### GL_INT_VEC2

public static final int GL_INT_VEC2
Uniform Types

See Also:
  - Constant Field Values

### GL_INT_VEC3

public static final int GL_INT_VEC3
Uniform Types

See Also:
  - Constant Field Values

### GL_INT_VEC4

public static final int GL_INT_VEC4
Uniform Types

See Also:
  - Constant Field Values

### GL_BOOL

public static final int GL_BOOL
Uniform Types

See Also:
  - Constant Field Values

### GL_BOOL_VEC2

public static final int GL_BOOL_VEC2
Uniform Types

See Also:
  - Constant Field Values

### GL_BOOL_VEC3

public static final int GL_BOOL_VEC3
Uniform Types

See Also:
  - Constant Field Values

### GL_BOOL_VEC4

public static final int GL_BOOL_VEC4
Uniform Types

See Also:
  - Constant Field Values

### GL_FLOAT_MAT2

public static final int GL_FLOAT_MAT2
Uniform Types

See Also:
  - Constant Field Values

### GL_FLOAT_MAT3

public static final int GL_FLOAT_MAT3
Uniform Types

See Also:
  - Constant Field Values

### GL_FLOAT_MAT4

public static final int GL_FLOAT_MAT4
Uniform Types

See Also:
  - Constant Field Values

### GL_SAMPLER_2D

public static final int GL_SAMPLER_2D
Uniform Types

See Also:
  - Constant Field Values

### GL_SAMPLER_CUBE

public static final int GL_SAMPLER_CUBE
Uniform Types

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_ENABLED

public static final int GL_VERTEX_ATTRIB_ARRAY_ENABLED
Vertex Arrays

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_SIZE

public static final int GL_VERTEX_ATTRIB_ARRAY_SIZE
Vertex Arrays

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_STRIDE

public static final int GL_VERTEX_ATTRIB_ARRAY_STRIDE
Vertex Arrays

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_TYPE

public static final int GL_VERTEX_ATTRIB_ARRAY_TYPE
Vertex Arrays

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_NORMALIZED

public static final int GL_VERTEX_ATTRIB_ARRAY_NORMALIZED
Vertex Arrays

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_POINTER

public static final int GL_VERTEX_ATTRIB_ARRAY_POINTER
Vertex Arrays

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING

public static final int GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING
Vertex Arrays

See Also:
  - Constant Field Values

### GL_IMPLEMENTATION_COLOR_READ_TYPE

public static final int GL_IMPLEMENTATION_COLOR_READ_TYPE
Read Format

See Also:
  - Constant Field Values

### GL_IMPLEMENTATION_COLOR_READ_FORMAT

public static final int GL_IMPLEMENTATION_COLOR_READ_FORMAT
Read Format

See Also:
  - Constant Field Values

### GL_COMPILE_STATUS

public static final int GL_COMPILE_STATUS
Shader Source

See Also:
  - Constant Field Values

### GL_INFO_LOG_LENGTH

public static final int GL_INFO_LOG_LENGTH
Shader Source

See Also:
  - Constant Field Values

### GL_SHADER_SOURCE_LENGTH

public static final int GL_SHADER_SOURCE_LENGTH
Shader Source

See Also:
  - Constant Field Values

### GL_SHADER_COMPILER

public static final int GL_SHADER_COMPILER
Shader Source

See Also:
  - Constant Field Values

### GL_SHADER_BINARY_FORMATS

public static final int GL_SHADER_BINARY_FORMATS
Shader Binary

See Also:
  - Constant Field Values

### GL_NUM_SHADER_BINARY_FORMATS

public static final int GL_NUM_SHADER_BINARY_FORMATS
Shader Binary

See Also:
  - Constant Field Values

### GL_LOW_FLOAT

public static final int GL_LOW_FLOAT
Shader Precision-Specified Types

See Also:
  - Constant Field Values

### GL_MEDIUM_FLOAT

public static final int GL_MEDIUM_FLOAT
Shader Precision-Specified Types

See Also:
  - Constant Field Values

### GL_HIGH_FLOAT

public static final int GL_HIGH_FLOAT
Shader Precision-Specified Types

See Also:
  - Constant Field Values

### GL_LOW_INT

public static final int GL_LOW_INT
Shader Precision-Specified Types

See Also:
  - Constant Field Values

### GL_MEDIUM_INT

public static final int GL_MEDIUM_INT
Shader Precision-Specified Types

See Also:
  - Constant Field Values

### GL_HIGH_INT

public static final int GL_HIGH_INT
Shader Precision-Specified Types

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER

public static final int GL_FRAMEBUFFER
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RENDERBUFFER

public static final int GL_RENDERBUFFER
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RGBA4

public static final int GL_RGBA4
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RGB5_A1

public static final int GL_RGB5_A1
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RGB565

public static final int GL_RGB565
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_DEPTH_COMPONENT16

public static final int GL_DEPTH_COMPONENT16
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX

public static final int GL_STENCIL_INDEX
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX8

public static final int GL_STENCIL_INDEX8
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_WIDTH

public static final int GL_RENDERBUFFER_WIDTH
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_HEIGHT

public static final int GL_RENDERBUFFER_HEIGHT
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_INTERNAL_FORMAT

public static final int GL_RENDERBUFFER_INTERNAL_FORMAT
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_RED_SIZE

public static final int GL_RENDERBUFFER_RED_SIZE
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_GREEN_SIZE

public static final int GL_RENDERBUFFER_GREEN_SIZE
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_BLUE_SIZE

public static final int GL_RENDERBUFFER_BLUE_SIZE
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_ALPHA_SIZE

public static final int GL_RENDERBUFFER_ALPHA_SIZE
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_DEPTH_SIZE

public static final int GL_RENDERBUFFER_DEPTH_SIZE
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_STENCIL_SIZE

public static final int GL_RENDERBUFFER_STENCIL_SIZE
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE

public static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME

public static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT0

public static final int GL_COLOR_ATTACHMENT0
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_DEPTH_ATTACHMENT

public static final int GL_DEPTH_ATTACHMENT
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_STENCIL_ATTACHMENT

public static final int GL_STENCIL_ATTACHMENT
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_NONE

public static final int GL_NONE
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_COMPLETE

public static final int GL_FRAMEBUFFER_COMPLETE
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT

public static final int GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT

public static final int GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS

public static final int GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_UNSUPPORTED

public static final int GL_FRAMEBUFFER_UNSUPPORTED
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_BINDING

public static final int GL_FRAMEBUFFER_BINDING
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_BINDING

public static final int GL_RENDERBUFFER_BINDING
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_MAX_RENDERBUFFER_SIZE

public static final int GL_MAX_RENDERBUFFER_SIZE
Framebuffer Object.

See Also:
  - Constant Field Values

### GL_INVALID_FRAMEBUFFER_OPERATION

public static final int GL_INVALID_FRAMEBUFFER_OPERATION
Framebuffer Object.

See Also:
  - Constant Field Values

## Method Details

### glActiveTexture

public static void glActiveTexture(int texture)

### glAttachShader

public static void glAttachShader(int program, int shader)

### glBindAttribLocation

public static void glBindAttribLocation(int program, int index, ByteBuffer name)

### glBindAttribLocation

public static void glBindAttribLocation(int program, int index, CharSequence name)
Overloads glBindAttribLocation.

### glBindBuffer

public static void glBindBuffer(int target, int buffer)

### glBindFramebuffer

public static void glBindFramebuffer(int target, int framebuffer)

### glBindRenderbuffer

public static void glBindRenderbuffer(int target, int renderbuffer)

### glBindTexture

public static void glBindTexture(int target, int texture)

### glBlendColor

public static void glBlendColor(float red, float green, float blue, float alpha)

### glBlendEquation

public static void glBlendEquation(int mode)

### glBlendEquationSeparate

public static void glBlendEquationSeparate(int modeRGB, int modeAlpha)

### glBlendFunc

public static void glBlendFunc(int sfactor, int dfactor)

### glBlendFuncSeparate

public static void glBlendFuncSeparate(int srcRGB, int dstRGB, int srcAlpha, int dstAlpha)

### glBufferData

public static void glBufferData(int target, long data_size, int usage)

### glBufferData

public static void glBufferData(int target, ByteBuffer data, int usage)

### glBufferData

public static void glBufferData(int target, FloatBuffer data, int usage)

### glBufferData

public static void glBufferData(int target, IntBuffer data, int usage)

### glBufferData

public static void glBufferData(int target, ShortBuffer data, int usage)

### glBufferSubData

public static void glBufferSubData(int target, long offset, ByteBuffer data)

### glBufferSubData

public static void glBufferSubData(int target, long offset, FloatBuffer data)

### glBufferSubData

public static void glBufferSubData(int target, long offset, IntBuffer data)

### glBufferSubData

public static void glBufferSubData(int target, long offset, ShortBuffer data)

### glCheckFramebufferStatus

public static int glCheckFramebufferStatus(int target)

### glClear

public static void glClear(int mask)

### glClearColor

public static void glClearColor(float red, float green, float blue, float alpha)

### glClearDepthf

public static void glClearDepthf(float depth)

### glClearStencil

public static void glClearStencil(int s)

### glColorMask

public static void glColorMask(boolean red, boolean green, boolean blue, boolean alpha)

### glCompileShader

public static void glCompileShader(int shader)

### glCompressedTexImage2D

public static void glCompressedTexImage2D(int target, int level, int internalformat, int width, int height, int border, ByteBuffer data)

### glCompressedTexSubImage2D

public static void glCompressedTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, ByteBuffer data)

### glCopyTexImage2D

public static void glCopyTexImage2D(int target, int level, int internalformat, int x, int y, int width, int height, int border)

### glCopyTexSubImage2D

public static void glCopyTexSubImage2D(int target, int level, int xoffset, int yoffset, int x, int y, int width, int height)

### glCreateProgram

public static int glCreateProgram()

### glCreateShader

public static int glCreateShader(int type)

### glCullFace

public static void glCullFace(int mode)

### glDeleteBuffers

public static void glDeleteBuffers(IntBuffer buffers)

### glDeleteBuffers

public static void glDeleteBuffers(int buffer)
Overloads glDeleteBuffers.

### glDeleteFramebuffers

public static void glDeleteFramebuffers(IntBuffer framebuffers)

### glDeleteFramebuffers

public static void glDeleteFramebuffers(int framebuffer)
Overloads glDeleteFramebuffers.

### glDeleteProgram

public static void glDeleteProgram(int program)

### glDeleteRenderbuffers

public static void glDeleteRenderbuffers(IntBuffer renderbuffers)

### glDeleteRenderbuffers

public static void glDeleteRenderbuffers(int renderbuffer)
Overloads glDeleteRenderbuffers.

### glDeleteShader

public static void glDeleteShader(int shader)

### glDeleteTextures

public static void glDeleteTextures(IntBuffer textures)

### glDeleteTextures

public static void glDeleteTextures(int texture)
Overloads glDeleteTextures.

### glDepthFunc

public static void glDepthFunc(int func)

### glDepthMask

public static void glDepthMask(boolean flag)

### glDepthRangef

public static void glDepthRangef(float zNear, float zFar)

### glDetachShader

public static void glDetachShader(int program, int shader)

### glDisable

public static void glDisable(int cap)

### glDisableVertexAttribArray

public static void glDisableVertexAttribArray(int index)

### glDrawArrays

public static void glDrawArrays(int mode, int first, int count)

### glDrawElements

public static void glDrawElements(int mode, ByteBuffer indices)

### glDrawElements

public static void glDrawElements(int mode, IntBuffer indices)

### glDrawElements

public static void glDrawElements(int mode, ShortBuffer indices)

### glDrawElements

public static void glDrawElements(int mode, int indices_count, int type, long indices_buffer_offset)

### glEnable

public static void glEnable(int cap)

### glEnableVertexAttribArray

public static void glEnableVertexAttribArray(int index)

### glFinish

public static void glFinish()

### glFlush

public static void glFlush()

### glFramebufferRenderbuffer

public static void glFramebufferRenderbuffer(int target, int attachment, int renderbuffertarget, int renderbuffer)

### glFramebufferTexture2D

public static void glFramebufferTexture2D(int target, int attachment, int textarget, int texture, int level)

### glFrontFace

public static void glFrontFace(int mode)

### glGenBuffers

public static void glGenBuffers(IntBuffer buffers)

### glGenBuffers

public static int glGenBuffers()
Overloads glGenBuffers.

### glGenerateMipmap

public static void glGenerateMipmap(int target)

### glGenFramebuffers

public static void glGenFramebuffers(IntBuffer framebuffers)

### glGenFramebuffers

public static int glGenFramebuffers()
Overloads glGenFramebuffers.

### glGenRenderbuffers

public static void glGenRenderbuffers(IntBuffer renderbuffers)

### glGenRenderbuffers

public static int glGenRenderbuffers()
Overloads glGenRenderbuffers.

### glGenTextures

public static void glGenTextures(IntBuffer textures)

### glGenTextures

public static int glGenTextures()
Overloads glGenTextures.

### glGetActiveAttrib

public static void glGetActiveAttrib(int program, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)

### glGetActiveAttrib

public static String glGetActiveAttrib(int program, int index, int bufsize, IntBuffer sizeType)
Overloads glGetActiveAttrib.

Overloads glGetActiveAttrib. This version returns both size and type in the sizeType buffer (at .position() and .position() + 1).

### glGetActiveAttrib

public static String glGetActiveAttrib(int program, int index, int bufsize)
Overloads glGetActiveAttrib.

Overloads glGetActiveAttrib. This version returns only the attrib name.

### glGetActiveAttribSize

public static int glGetActiveAttribSize(int program, int index)
Overloads glGetActiveAttrib.

Overloads glGetActiveAttrib. This version returns only the attrib size.

### glGetActiveAttribType

public static int glGetActiveAttribType(int program, int index)
Overloads glGetActiveAttrib.

Overloads glGetActiveAttrib. This version returns only the attrib type.

### glGetActiveUniform

public static void glGetActiveUniform(int program, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)

### glGetActiveUniform

public static String glGetActiveUniform(int program, int index, int bufsize, IntBuffer sizeType)
Overloads glGetActiveUniform.

Overloads glGetActiveUniform. This version returns both size and type in the sizeType buffer (at .position() and .position() + 1).

### glGetActiveUniform

public static String glGetActiveUniform(int program, int index, int bufsize)
Overloads glGetActiveUniform.

Overloads glGetActiveUniformARB. This version returns only the uniform name.

### glGetActiveUniformSize

public static int glGetActiveUniformSize(int program, int index)
Overloads glGetActiveUniform.

Overloads glGetActiveUniform. This version returns only the uniform size.

### glGetActiveUniformType

public static int glGetActiveUniformType(int program, int index)
Overloads glGetActiveUniform.

Overloads glGetActiveUniform. This version returns only the uniform type.

### glGetAttachedShaders

public static void glGetAttachedShaders(int program, IntBuffer count, IntBuffer shaders)

### glGetAttribLocation

public static int glGetAttribLocation(int program, ByteBuffer name)

### glGetAttribLocation

public static int glGetAttribLocation(int program, CharSequence name)
Overloads glGetAttribLocation.

### glGetBoolean

public static void glGetBoolean(int pname, ByteBuffer params)

### glGetBoolean

public static boolean glGetBoolean(int pname)
Overloads glGetBooleanv.

### glGetBufferParameter

public static void glGetBufferParameter(int target, int pname, IntBuffer params)

### glGetBufferParameter

@Deprecated public static int glGetBufferParameter(int target, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetBufferParameteri(int, int)` instead.
Overloads glGetBufferParameteriv.

### glGetBufferParameteri

public static int glGetBufferParameteri(int target, int pname)
Overloads glGetBufferParameteriv.

### glGetError

public static int glGetError()

### glGetFloat

public static void glGetFloat(int pname, FloatBuffer params)

### glGetFloat

public static float glGetFloat(int pname)
Overloads glGetFloatv.

### glGetFramebufferAttachmentParameter

public static void glGetFramebufferAttachmentParameter(int target, int attachment, int pname, IntBuffer params)

### glGetFramebufferAttachmentParameter

@Deprecated public static int glGetFramebufferAttachmentParameter(int target, int attachment, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetFramebufferAttachmentParameteri(int, int, int)` instead.
Overloads glGetFramebufferAttachmentParameteriv.

### glGetFramebufferAttachmentParameteri

public static int glGetFramebufferAttachmentParameteri(int target, int attachment, int pname)
Overloads glGetFramebufferAttachmentParameteriv.

### glGetInteger

public static void glGetInteger(int pname, IntBuffer params)

### glGetInteger

public static int glGetInteger(int pname)
Overloads glGetIntegerv.

### glGetProgram

public static void glGetProgram(int program, int pname, IntBuffer params)

### glGetProgram

@Deprecated public static int glGetProgram(int program, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetProgrami(int, int)` instead.
Overloads glGetProgramiv.

### glGetProgrami

public static int glGetProgrami(int program, int pname)
Overloads glGetProgramiv.

### glGetProgramInfoLog

public static void glGetProgramInfoLog(int program, IntBuffer length, ByteBuffer infoLog)

### glGetProgramInfoLog

public static String glGetProgramInfoLog(int program, int bufsize)
Overloads glGetProgramInfoLog.

### glGetRenderbufferParameter

public static void glGetRenderbufferParameter(int target, int pname, IntBuffer params)

### glGetRenderbufferParameter

@Deprecated public static int glGetRenderbufferParameter(int target, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetRenderbufferParameteri(int, int)` instead.
Overloads glGetRenderbufferParameteriv.

### glGetRenderbufferParameteri

public static int glGetRenderbufferParameteri(int target, int pname)
Overloads glGetRenderbufferParameteriv.

### glGetShader

public static void glGetShader(int shader, int pname, IntBuffer params)

### glGetShader

@Deprecated public static int glGetShader(int shader, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetShaderi(int, int)` instead.
Overloads glGetShaderiv.

### glGetShaderi

public static int glGetShaderi(int shader, int pname)
Overloads glGetShaderiv.

### glGetShaderInfoLog

public static void glGetShaderInfoLog(int shader, IntBuffer length, ByteBuffer infoLog)

### glGetShaderInfoLog

public static String glGetShaderInfoLog(int shader, int bufsize)
Overloads glGetShaderInfoLog.

### glGetShaderPrecisionFormat

public static void glGetShaderPrecisionFormat(int shadertype, int precisiontype, IntBuffer range, IntBuffer precision)

### glGetShaderSource

public static void glGetShaderSource(int shader, IntBuffer length, ByteBuffer source)

### glGetShaderSource

public static String glGetShaderSource(int shader, int bufsize)
Overloads glGetShaderSource.

### glGetString

public static String glGetString(int name)

### glGetTexParameter

public static void glGetTexParameter(int target, int pname, FloatBuffer params)

### glGetTexParameterf

public static float glGetTexParameterf(int target, int pname)
Overloads glGetTexParameterfv.

### glGetTexParameter

public static void glGetTexParameter(int target, int pname, IntBuffer params)

### glGetTexParameteri

public static int glGetTexParameteri(int target, int pname)
Overloads glGetTexParameteriv.

### glGetUniform

public static void glGetUniform(int program, int location, FloatBuffer params)

### glGetUniform

public static void glGetUniform(int program, int location, IntBuffer params)

### glGetUniformLocation

public static int glGetUniformLocation(int program, ByteBuffer name)
Returns the location of the uniform with the specified name. The ByteBuffer should contain the uniform name as a null-terminated string.

Parameters:
  `program` -
  `name` -

### glGetUniformLocation

public static int glGetUniformLocation(int program, CharSequence name)
Overloads glGetUniformLocation.

### glGetVertexAttrib

public static void glGetVertexAttrib(int index, int pname, FloatBuffer params)

### glGetVertexAttrib

public static void glGetVertexAttrib(int index, int pname, IntBuffer params)

### glGetVertexAttribPointer

public static ByteBuffer glGetVertexAttribPointer(int index, int pname, long result_size)

### glHint

public static void glHint(int target, int mode)

### glIsBuffer

public static boolean glIsBuffer(int buffer)

### glIsEnabled

public static boolean glIsEnabled(int cap)

### glIsFramebuffer

public static boolean glIsFramebuffer(int framebuffer)

### glIsProgram

public static boolean glIsProgram(int program)

### glIsRenderbuffer

public static boolean glIsRenderbuffer(int renderbuffer)

### glIsShader

public static boolean glIsShader(int shader)

### glIsTexture

public static boolean glIsTexture(int texture)

### glLineWidth

public static void glLineWidth(float width)

### glLinkProgram

public static void glLinkProgram(int program)

### glPixelStorei

public static void glPixelStorei(int pname, int param)

### glPolygonOffset

public static void glPolygonOffset(float factor, float units)

### glReadPixels

public static void glReadPixels(int x, int y, int width, int height, int format, int type, ByteBuffer pixels)

### glReadPixels

public static void glReadPixels(int x, int y, int width, int height, int format, int type, FloatBuffer pixels)

### glReadPixels

public static void glReadPixels(int x, int y, int width, int height, int format, int type, IntBuffer pixels)

### glReadPixels

public static void glReadPixels(int x, int y, int width, int height, int format, int type, ShortBuffer pixels)

### glReleaseShaderCompiler

public static void glReleaseShaderCompiler()

### glRenderbufferStorage

public static void glRenderbufferStorage(int target, int internalformat, int width, int height)

### glSampleCoverage

public static void glSampleCoverage(float value, boolean invert)

### glScissor

public static void glScissor(int x, int y, int width, int height)

### glShaderBinary

public static void glShaderBinary(IntBuffer shaders, int binaryformat, ByteBuffer binary)

### glShaderSource

public static void glShaderSource(int shader, ByteBuffer string)
glShaderSource allows multiple, optionally null-terminated, source strings to define a shader program.

This method uses just a single string, that should NOT be null-terminated.

Parameters:
  `shader` -
  `string` -

### glShaderSource

public static void glShaderSource(int shader, CharSequence string)
Overloads glShaderSource.

### glShaderSource

public static void glShaderSource(int shader, CharSequence[] strings)
Overloads glShaderSource.

### glStencilFunc

public static void glStencilFunc(int func, int ref, int mask)

### glStencilFuncSeparate

public static void glStencilFuncSeparate(int face, int func, int ref, int mask)

### glStencilMask

public static void glStencilMask(int mask)

### glStencilMaskSeparate

public static void glStencilMaskSeparate(int face, int mask)

### glStencilOp

public static void glStencilOp(int fail, int zfail, int zpass)

### glStencilOpSeparate

public static void glStencilOpSeparate(int face, int fail, int zfail, int zpass)

### glTexImage2D

public static void glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, ByteBuffer pixels)

### glTexImage2D

public static void glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, FloatBuffer pixels)

### glTexImage2D

public static void glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, IntBuffer pixels)

### glTexImage2D

public static void glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, ShortBuffer pixels)

### glTexParameterf

public static void glTexParameterf(int target, int pname, float param)

### glTexParameter

public static void glTexParameter(int target, int pname, FloatBuffer param)

### glTexParameteri

public static void glTexParameteri(int target, int pname, int param)

### glTexParameter

public static void glTexParameter(int target, int pname, IntBuffer param)

### glTexSubImage2D

public static void glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, ByteBuffer pixels)

### glTexSubImage2D

public static void glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, FloatBuffer pixels)

### glTexSubImage2D

public static void glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, IntBuffer pixels)

### glTexSubImage2D

public static void glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, ShortBuffer pixels)

### glUniform1f

public static void glUniform1f(int location, float x)

### glUniform1

public static void glUniform1(int location, FloatBuffer v)

### glUniform1i

public static void glUniform1i(int location, int x)

### glUniform1

public static void glUniform1(int location, IntBuffer v)

### glUniform2f

public static void glUniform2f(int location, float x, float y)

### glUniform2

public static void glUniform2(int location, FloatBuffer v)

### glUniform2i

public static void glUniform2i(int location, int x, int y)

### glUniform2

public static void glUniform2(int location, IntBuffer v)

### glUniform3f

public static void glUniform3f(int location, float x, float y, float z)

### glUniform3

public static void glUniform3(int location, FloatBuffer v)

### glUniform3i

public static void glUniform3i(int location, int x, int y, int z)

### glUniform3

public static void glUniform3(int location, IntBuffer v)

### glUniform4f

public static void glUniform4f(int location, float x, float y, float z, float w)

### glUniform4

public static void glUniform4(int location, FloatBuffer v)

### glUniform4i

public static void glUniform4i(int location, int x, int y, int z, int w)

### glUniform4

public static void glUniform4(int location, IntBuffer v)

### glUniformMatrix2

public static void glUniformMatrix2(int location, boolean transpose, FloatBuffer matrices)

### glUniformMatrix3

public static void glUniformMatrix3(int location, boolean transpose, FloatBuffer matrices)

### glUniformMatrix4

public static void glUniformMatrix4(int location, boolean transpose, FloatBuffer matrices)

### glUseProgram

public static void glUseProgram(int program)

### glValidateProgram

public static void glValidateProgram(int program)

### glVertexAttrib1f

public static void glVertexAttrib1f(int indx, float x)

### glVertexAttrib1

public static void glVertexAttrib1(int indx, FloatBuffer values)

### glVertexAttrib2f

public static void glVertexAttrib2f(int indx, float x, float y)

### glVertexAttrib2

public static void glVertexAttrib2(int indx, FloatBuffer values)

### glVertexAttrib3f

public static void glVertexAttrib3f(int indx, float x, float y, float z)

### glVertexAttrib3

public static void glVertexAttrib3(int indx, FloatBuffer values)

### glVertexAttrib4f

public static void glVertexAttrib4f(int indx, float x, float y, float z, float w)

### glVertexAttrib4

public static void glVertexAttrib4(int indx, FloatBuffer values)

### glVertexAttribPointer

public static void glVertexAttribPointer(int index, int size, boolean normalized, int stride, FloatBuffer buffer)

### glVertexAttribPointer

public static void glVertexAttribPointer(int index, int size, boolean unsigned, boolean normalized, int stride, ByteBuffer buffer)

### glVertexAttribPointer

public static void glVertexAttribPointer(int index, int size, boolean unsigned, boolean normalized, int stride, IntBuffer buffer)

### glVertexAttribPointer

public static void glVertexAttribPointer(int index, int size, boolean unsigned, boolean normalized, int stride, ShortBuffer buffer)

### glVertexAttribPointer

public static void glVertexAttribPointer(int index, int size, int type, boolean normalized, int stride, long buffer_buffer_offset)

### glViewport

public static void glViewport(int x, int y, int width, int height)